Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 335591 - x11-wm/xmonad does not respect LDFLAGS
Summary: x11-wm/xmonad does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags 333217
  Show dependency tree
 
Reported: 2010-09-01 21:15 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-09-12 07:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-01 21:15:04 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Ivan 2010-09-02 03:20:06 UTC
(In reply to comment #0)
> See attached build log.
> 
> (Please do not complain about the need for looking at the build log until you
> can provide an easy way to open bugs with the correct data picked out of a
> tinderbox log. Thanks.)
> 

So, is there a build log or not?

And this is probably going to be the same thing as with other Haskell software compiled with GHC: none of them currently respect LDFLAGS, because GHC doesn't respect LDFLAGS: http://hackage.haskell.org/trac/ghc/ticket/2933

(I believe slyfox has already made an overall Haskell bug about it here, but I can't recall which one it is and I can't set this bug to depend upon that one).
Comment 2 Sergei Trofimovich gentoo-dev 2010-09-12 07:43:57 UTC
Fixed in .eclass by:

> slyfox      10/09/12 07:37:09
> 
>   Modified:             haskell-cabal.eclass
>   Log:
>   Make .cabal built haskell packages respect LDFLAGS envvar. Fixes bug #333217 (and inferior bug #335591)

Thanks for the report, Diego!